# GraphAlgo_DominatingSetGenetisch (1_graphentester)

Package algorithmen

## Class GraphAlgo_DominatingSetGenetisch

- java.lang.Object
- - java.lang.Thread
  - - algorithmen.GraphAlgo
    - - algorithmen.GraphAlgo_DominatingSetGenetisch

All Implemented Interfaces:
  `Runnable`

    public class GraphAlgo_DominatingSetGenetisch
    extends GraphAlgo

Dieser Algorithmus bestimmt die kleinste dominierende Menge in einem Graphen und bestimmt den Zeitbedarf. Algorithmus: Genetischer Algorithmus

Version:
  1.0 from 10.12.2020
Author:
  Thomas Schaller

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class algorithmen.GraphAlgo

`g, inArbeit`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`GraphAlgo_DominatingSetGenetisch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `erzeugeZufaelligeTeilmenge()`
`void` `fuehreAlgorithmusAus()`
`double` `getBewertung​(int[] tm)`
`String` `getBezeichnung()`
`int[]` `kreuze​(int[] tm1, int[] tm2)`
`int[]` `mutiere​(int[] tm)`
`void` `showTeilmenge​(int[] tm)`

### Methods inherited from class algorithmen.GraphAlgo

`getStartKnoten, getWaitforclick, getWaitforrepaint, info, infoIndentLess, infoIndentMore, melde, resetInfo, run, setGraph, setGUIElemente, setSpeed, setStartKnoten, setStepping, setWaitforclick, setWaitforrepaint, step`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphAlgo_DominatingSetGenetisch

    public GraphAlgo_DominatingSetGenetisch()

### Method Detail

#### getBezeichnung

    public String getBezeichnung()

Specified by:
  `getBezeichnung` in class `GraphAlgo`

#### fuehreAlgorithmusAus

    public void fuehreAlgorithmusAus()

Specified by:
  `fuehreAlgorithmusAus` in class `GraphAlgo`

#### erzeugeZufaelligeTeilmenge

    public int[] erzeugeZufaelligeTeilmenge()

#### kreuze

    public int[] kreuze​(int[] tm1,
                        int[] tm2)

#### mutiere

    public int[] mutiere​(int[] tm)

#### showTeilmenge

    public void showTeilmenge​(int[] tm)

#### getBewertung

    public double getBewertung​(int[] tm)